esign.h File Reference

This file contains classes that implement the ESIGN signature schemes as defined in IEEE P1363a. More...

`#include "pubkey.h"`
`#include "integer.h"`
`#include "asn.h"`

Go to the source code of this file.

## Classes

class | ESIGNFunction
| _ More...
class | InvertibleESIGNFunction
| _ More...
class | EMSA5Pad< T >
| _ More...
struct | P1363_EMSA5
| EMSA5, for use with ESIGN. More...
struct | ESIGN_Keys
struct | ESIGN< H, STANDARD >
| ESIGN, as defined in IEEE P1363a. More...

## Detailed Description

This file contains classes that implement the ESIGN signature schemes as defined in IEEE P1363a.

Definition in file esign.h.